$primary-font: "Open Sans";
$primary-color: white;
$green-color: #26C17E;
$main-theme-color: #222935;

%font-pattern {
  font-family: $primary-font;
  line-height: 120%;
  font-style: normal;
}

#root {
  margin-top: 0px;
}

.home-container {
  background: url(./assets/images/main_theme.png) no-repeat center fixed;
  background-size: cover;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.layer {
  background-color:rgba(0, 6, 20, 0.7);
  background-size: cover;
  min-height: 100vh;
  width: 100%;
}

.user-container {
  align-items: center;
  text-align: center;
  padding-top: 200px;
}

.user-avatar__home {
  width: 163px;
  height: 163px;
}

.user-avatar__inner {
  width: 100px;
  height: 100px;
  margin-top: 20px;
  margin-left: 75px;
}

.user-avatar__home, .user-avatar__inner {
  text-align: center;
  align-items: center;
  border: 1px solid $primary-color;
  box-sizing: border-box;
  border-radius: 50%;
  pointer-events: none;
}

.user-name__home {
  font-size: 45px;
}

.user-name__inner {
  font-size: 16px;
  margin-top: 10px;
  align-items: center;
  text-align: center;
}

.user-name__home, .user-name__inner {
  @extend %font-pattern;
  color: $primary-color;
  padding-top: 10px;
  font-weight: bold;
}

.user-position {
  @extend %font-pattern;
  font-weight: 600;
  font-size: 25px;
  color: $primary-color;
  padding-top: 10px;
}

.user-text {
  @extend %font-pattern;
  font-weight: normal;
  font-size: 14px;
  line-height: 21px;
  color: $primary-color;
  margin-top: 10px;
  margin-bottom: 10px;
  text-align: center;
  display: block;
  align-items: center;
  padding-left: 400px;
  padding-right: 400px;
}

.button-knowMore:hover, .button-goBack:hover {
  background-color: $green-color;
}

.main-container {
  display: flex;
  max-width: 3000px;
  margin-bottom: 0px;
}

.content {
  flex: 1 1 auto;
  position: relative;
  height: 100vh;
  overflow-y: scroll;
  overflow: auto;
  display: block;
  position: relative;
}

#navbar {
  flex: 0 0 250px;
  max-width: 250px;
  background-color: $main-theme-color;
  background-size: 100%;
  overflow-y: auto;
  overflow-x: hidden;
  height: 100vh;
  display: block;
}

.nav-container {
  display: flex;
  flex-direction: column;
  margin-bottom: 100px;
}

.nav-icon {
  font-size: 14px;
  margin: 41px 21px 0px 21px;
}

.nav-item {
  @extend %font-pattern;
  font-weight: normal;
  align-items: left;
}

.nav-item__btn {
  border: none;
  background: inherit;
  text-decoration: none;
}

.nav-item .nav-item__btn {
  font-size: 16px;
  color:#667081;
}

.nav-item:hover, .nav-item__text:hover {
  color: $green-color;
}

#navbar a {
  text-decoration: none;
}

.chevron-icon {
  margin-right: 13px;
  margin-left: 10px;
  width: 7px;
  height: 14px;
}

.icon-menu-btn {
  cursor: pointer;
  position: fixed;
  width: 30px;
  height: 30px;
  background-color: $main-theme-color;
  margin-top: 20px;
  border: none;
  border-radius: 0 25% 25% 0;
}

.content-details {
  padding: 30px 30px 0px 30px;
}

.content-details__item {
  display: flex;
  margin-top: 50px;
}

.icon-menu-btn__icon {
  color: $primary-color;
  width: 19px;
  height: 19px;
  text-align: center;
  margin-top: 3px;
}

.button-knowMore, .button-goBack {
  @extend %font-pattern;
  color: $primary-color;
  border: none;
  align-items: center;
  font-weight: normal;
}

.button-knowMore {
  background: $main-theme-color;
  border-radius: 5px;
  width: 127px;
  height: 40px;
  left: 589px;
  font-size: 16px;
  line-height: 19px;  
  cursor: pointer;
}

.button-goBack {
  position: fixed;
  bottom: 10px; 
  left: 0;
  font-size: 14px;
  text-align: center;
  margin-left: 50px; 
  margin-bottom: 10px;
}

.inner-title {
  @extend %font-pattern;
  font-weight: bold;
  font-size: 25px;
  width: 122px;
  height: 30px;
  color: $green-color;
  margin-bottom: 40px;
}

.box-content {
  @extend %font-pattern;
  font-weight: normal;
  font-size: 14px;
  line-height: 150%;
  color: $main-theme-color;
  margin-top: 40px;
}

.box-about {
  margin-top: 10px;
}

.nav-item__btn:hover {
  color: $green-color;
}

.info-text {
  @extend %font-pattern;
  background-color: #EEEEEE;
  padding: 15px;
  font-weight: normal;
  font-size: 14px;
  line-height: 150%;
}

.up-btn {
  cursor: pointer;
  position: fixed;
  width: 30px;
  height: 30px;
  background-color: $main-theme-color;
  right: 30px;
  bottom: 0;
  border: none;
  border-radius: 25% 25% 0 0;
}

.up-btn__arrow-up {
  color: $primary-color;
  text-align: center;
}

@media only screen and (max-width: 600px) {
  #navbar {
    flex: 0 0 54px;
    max-width: 54px;
  }

  .nav-icon {
    margin-left: 7px;
  }

  .nav-item__text {
    display: none;
  }

  .user-name__inner {
    display: none;
  }

  .button-goBack {
    width: 40px;
    height: 30px;
    margin-left: 6px;
    margin-top: 6px;
    margin-bottom: 0px;   
  }

  .chevron-icon {
    margin: 8px 16px 8px 10px;
  }

  .user-avatar__inner {
    width: 40px;
    height: 40px;
    border: 1px solid $primary-color;
    margin-left: 7px;
    margin-right: 7px;
  }

  #navbar .button-goBack__text {
    display: none;
  }

  .user-text {
    margin-left: 5px;
    margin-right: 5px;
    padding-left: 20px;
    padding-right: 20px;
  }

  .user-container {
    padding-top: 60px;
  }

  .chevron-icon {
    margin-left: 4px;
  }
}

@media only screen and (max-width: 800px) {
  .user-container {
    margin-bottom: 20px;
  }
}

@media only screen and (max-width: 1300px) {
  .user-container {
    padding-left: 10px;
    padding-right: 10px;
  }

  .user-text {
    padding-left: 50px;
    padding-right: 50px;
  }
}
